# pass "--with postgresql" to rpmbuild if you want dependency on PostgreSQL
%define with_postgresql %{?_with_postgresql: 1} %{?!_with_postgresql: 0}

Name:		entertrack
Version:	1.2.6
Release:	3%{?dist}
Summary:	Web-based artifact tracking/management system written in PHP
Group:		Applications/Productivity
License:	GPLv2 and LGPLv2+
URL:		http://www.entertrack.org/
# the /graphing directory was manually removed until it is fixed upstream
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	php-Smarty php-mbstring
%if %{with_postgresql}
Requires:	php-pear-MDB2-Driver-pgsql php-pgsql
%else
Requires:	php-pear-MDB2-Driver-mysql php-mysql
%endif
Requires:	php-pear-Mail php-pear-Mail-Mime php-pear-Date


%description
EnterTrack is an open source web-based artifact tracking/management system
written in PHP. EnterTrack is derived from Issue-Tracker v4.0.1
(www.issue-tracker.com) and adds a number of features particularly useful
to larger groups. EnterTrack provides large organizations with start-to-finish
tracking of artifacts (artifacts can be problems, bugs, requests, projects,
etc.), group collaboration for artifact management, and status reports
for high-level performance metrics.


%prep
%setup -q

# cleanup
find . -name .cvsignore | xargs rm -f
find . -name dir | xargs rm -f
rm -f mkrelease.sh locale/messages.pot locale/tsmarty2c.php locale/upd-messages.sh
rm -f locale/*/*/*.po

# fix permissions
chmod a-x themes/default/tpl/reports/automatic/duedate.tpl

# set path to Smarty
sed -i -e 's|//define("SMARTY_DIR"|define("SMARTY_DIR"|' conf/paths.php
sed -i -e 's|/path/to/Smarty.class.php/including/trailing/slash/|%{_datadir}/php/Smarty/|' conf/paths.php


%build
# nothing to do


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}

cp -a * $RPM_BUILD_ROOT%{_datadir}/%{name}

install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/conf \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
ln -s ../../..%{_sysconfdir}/%{name} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/conf

touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.php

for d in cache download logs sessions var
do
	mv $RPM_BUILD_ROOT%{_datadir}/%{name}/$d \
		$RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/
	ln -s ../../..%{_localstatedir}/lib/%{name}/$d \
		$RPM_BUILD_ROOT%{_datadir}/%{name}/$d
done

rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/AUTHORS.txt docs/LICENSE.txt docs/README.txt
%attr(0755,apache,apache) %dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/const.php
%config(noreplace) %{_sysconfdir}/%{name}/paths.php
%attr(0644,apache,apache) %ghost %config(noreplace,missingok) %{_sysconfdir}/%{name}/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%defattr(0755,apache,apache,0755)
%{_localstatedir}/lib/%{name}/cache
%{_localstatedir}/lib/%{name}/download
%{_localstatedir}/lib/%{name}/logs
%{_localstatedir}/lib/%{name}/sessions
%{_localstatedir}/lib/%{name}/var


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Dan Horak <dan[at]danny.cz> 1.2.6-2
- Source0 has the problematic /graphing directory removed
- fixed License tag

* Fri Aug  8 2008 Dan Horak <dan[at]danny.cz> 1.2.6-1
- update to version 1.2.6

* Fri Jul 11 2008 Dan Horak <dan[at]danny.cz> 1.2.5-1
- update to version 1.2.5

* Fri Jul  4 2008 Dan Horak <dan[at]danny.cz> 1.2.4-1
- update to version 1.2.4

* Sat Jun 28 2008 Dan Horak <dan[at]danny.cz> 1.2.3-1
- update to version 1.2.3

* Mon Jun 16 2008 Dan Horak <dan[at]danny.cz> 1.2.2-1
- initial Fedora version
